import { DrawingID, ObjectID } from '@buerli.io/core';
import { GetState, SetState } from 'zustand';
declare type HoverState = {
    drawingId: DrawingID;
    hovered: ObjectID | null;
    api: ReturnType<typeof setters>;
    getters: ReturnType<typeof getters>;
};
export declare const useComponentInteraction: <T>(drawingId: DrawingID, sel: (state: HoverState) => T) => T | undefined;
declare const setters: (set: SetState<HoverState>, get: GetState<HoverState>) => {
    setHovered: (hovered: ObjectID | null) => void;
};
declare const getters: (get: GetState<HoverState>) => {};
export {};
